## faucet-1.8.16.tar.gz

=== Makefile ===
fileinfo := Faucet Developers Makefile
author   := Shivaram Mysore (shivaram.mysore@gmail.com)

## Dependent programs
PYTHON = python
PYREVERSE = pyreverse
YAPF = yapf
PYLINT = pylint
RM := rm
MKDIR := mkdir -p
MV := mv
DOT := dot
SED := sed
UNAME_S := $(shell uname -s)
## Git version 2.11+ is required
GIT := git
GIT_REL_TAG := $(shell $(GIT) describe --abbrev=0 --tags)
GIT_NUM_COMMITS := $(shell $(GIT) rev-list  `$(GIT) rev-list --tags --no-walk --max-count=1`..HEAD --count)
GIT_LOC := $(shell $(GIT) diff --shortstat `$(GIT) rev-list --tags --no-walk --max-count=1`)
GIT_BRANCH := $(shell $(GIT) rev-parse --abbrev-ref HEAD)
GIT_REMOTE := $(shell $(GIT) remote

PROJECT_NAME = faucet

## Directories
DIST_DIR = dist
SRC_DIR = .

all: clobber sdist docs

docs: uml dot

uml:
	$(MKDIR) $(DIST_DIR)/doc
	$(PYREVERSE) -ASmn -o png -p $(PROJECT_NAME) $(SRC_DIR)/faucet/*py $(SRC_DIR)/faucet/aruba/*py
	$(MV) classes*png $(DIST_DIR)/doc
	$(MV) packages*png $(DIST_DIR)/doc

codefmt:
	@echo Run below command manually to inline replace current code with newly formatted code per “pep8” guidelines
	@echo $(YAPF) --style pep8 -i \*py

codeerrors:
	@echo Finding errors in code now ...
	$(MKDIR) $(DIST_DIR)
	$(PYLINT) $(SRC_DIR)/faucet/*py $(SRC_DIR)/faucet/aruba/*py > $(DIST_DIR)/error_report.out
	@echo Code error report available at $(DIST_DIR)/error_report.out

stats:
	@echo 'Since last release tag $(value GIT_REL_TAG)'
	@echo 'number of commits = $(value GIT_NUM_COMMITS)'
	@echo 'Net LOC added/removed = $(value GIT_LOC)'
	@echo
	@echo 'Listing all commits since last tag ...'
	@$(GIT) log $(GIT_REL_TAG)..HEAD --oneline

release:
	@echo '"version" and "next_version" variables need to be passed in to perform release...'
	@echo 'e.g. make release version=1.6.8 next_version=1.6.9'
	@echo
	@test $(version)
	@test $(next_version)
	@echo 'Looks good, performing release'
	@echo
	@echo 'Current release tag $(value GIT_REL_TAG)'
	@echo 'Releasing version $(version)'
	@echo
ifeq ($(UNAME_S),Darwin)
	@$(SED) -i "" -e s/$(value GIT_REL_TAG)/$(version)/ README.rst
else
	@$(SED) -i s/$(value GIT_REL_TAG)/$(version)/ README.rst
endif
	@$(GIT) commit -a -m "$(version)"
	@$(GIT) tag -a $(version) -m "$(version)"
ifeq ($(UNAME_S),Darwin)
	@$(SED) -i "" -e s/$(version)/$(next_version)/ setup.cfg
else
	@$(SED) -i s/$(version)/$(next_version)/ setup.cfg
endif
	@$(GIT) commit -a -m "$(version)"
	@$(GIT) push $(GIT_REMOTE) $(GIT_BRANCH)
	@$(GIT) push $(GIT_REMOTE) $(version)
	@echo 'Done releasing version $(version)'

=== requirements.txt ===
chewie==0.0.2
datadiff
eventlet==0.22.1 # pyup: ignore
influxdb
msgpack
msgpack-python
networkx
pbr>=1.9
prometheus_client
pyyaml
ryu==4.27
beka==0.3.3
pytricia

=== docs/requirements.txt ===
-r ../requirements.txt
sphinx==1.7.6
sphinx_rtd_theme==0.4.1

=== debian/control ===
Source: faucet
Section: python
Priority: optional
Maintainer: Faucet Maintainers <maintainers@faucet.nz>
Build-Depends: debhelper (>=9),
               dh-systemd (>= 1.5),
               dh-python,
               git,
               python3-pkg-resources,
               python3-all,
               python3-setuptools,
               python3-pbr (>=1.9),
Standards-Version: 3.9.6
Homepage: https://github.com/faucetsdn/faucet
X-Python3-Version: >= 3.4
Vcs-Git: https://github.com/faucetsdn/faucet.git
Vcs-Browser: https://github.com/faucetsdn/faucet

Package: python3-faucet
Architecture: all
Depends: python3-oslo.config (>= 1:3.9~),
         python3-datadiff (>= 2.0.0),
         python3-influxdb (>= 2.12.0),
         python3-msgpack (>= 0.4.2),
         python3-networkx (>= 1.9),
         python3-pbr (>= 1.9),
         python3-prometheus-client (>= 0.0.18),
         python3-yaml (>= 3.1.1),
         python3-eventlet,
         python3-ryu (>= 4.22),
         python3-beka (>= 0.3.3),
         python3-chewie (>= 0.0.2),
         python3-pytricia (>= 1.0.0),
         python3:any (>= 3.4~),
Suggests: python-faucet-doc, faucet, gauge, oslo.config,
Description: source code for faucet and gauge (Python3)
 Python3 library that contains the source code for the Faucet open source
 OpenFlow controller, see faucet and gauge packages for further information.
 .
 This package installs the library for Python 3.

Package: faucet
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.7.0),
Suggests: gauge,
Description: This is a compact open source OpenFlow controller (Python 3)
 This is a compact open source OpenFlow controller, which enables network
 operators to run their networks the same way they do server clusters.
 Faucet moves network control functions
 (like routing protocols, neighbor discovery, and switching algorithms)
 to vendor independent server-based software,
 versus traditional router or switch embedded firmware,
 where those functions are easy to manage, test, and extend with modern
 systems management best practices and tools.
 .
 This package installs the library for Python 3.

Package: gauge
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.7.0),
Suggests: python-faucet-doc,
          faucet,
Description: This is a component the Faucet OpenFlow controller (Python 3)
 This is a component of the Faucet OpenFlow controller,
 maintains an OpenFlow connection to switches and monitors port and flow
 state (exporting it to Prometheus or InfluxDB, or even flat text log files).
 Gauge does not ever modify the switch’s state, so that switch monitoring
 functions can be upgraded, restarted, without impacting forwarding.
 .
 This package installs the library for Python 3.

Package: faucet-all-in-one
Architecture: all
Depends: faucet (>= 1.7.0),
         gauge (>= 1.7.0),
         python3-faucet (>= 1.7.0),
         prometheus (>= 2.0.0),
         grafana,
Suggests: python-faucet-doc,
Description: Metapackage to install all the component of faucet (Python 3)
 includes python3-faucet, faucet, gauge, grafana
 and prometheus.
 .
 This package installs the library for Python 3.
